2005-04-12  Thomas Wood  <thos@gnome.org>

	* NEWS: Updated for 2.6.3
	* configure.ac:
	* engines/clearlooks/Makefile.am:
	* engines/clearlooks/src/clearlooks_draw.c: (cl_draw_borders),
	(cl_draw_line), (cl_get_gradient_corner_color), (cl_draw_corner),
	(cl_draw_fill), (cl_progressbar_tile_new),
	(cl_draw_menuitem_button), (cl_draw_menuitem_flat),
	(cl_draw_menuitem_gradient):
	* engines/clearlooks/src/clearlooks_draw.h:
	* engines/clearlooks/src/clearlooks_rc_style.c:
	(clearlooks_rc_style_init), (theme_parse_progressbarstyle),
	(theme_parse_menubarstyle), (theme_parse_listviewitemstyle),
	(clearlooks_rc_style_parse), (clearlooks_rc_style_merge):
	* engines/clearlooks/src/clearlooks_rc_style.h:
	* engines/clearlooks/src/clearlooks_style.c: (draw_flat_box),
	(draw_box_gap), (draw_extension), (draw_box), (draw_shadow_gap),
	(draw_hline), (clearlooks_style_init_from_rc),
	(clearlooks_style_class_init):
	* engines/clearlooks/src/clearlooks_style.h:
	* engines/clearlooks/src/support.c:
	(internel_image_buffer_free_pixels), (internal_image_buffer_new),
	(internal_color_get_as_uchars),
	(internal_create_horizontal_gradient_image_buffer),
	(internal_create_vertical_gradient_image_buffer), (draw_vgradient),
	(draw_hgradient):
	* engines/clearlooks/src/support.h:

	Updated clearlooks engine

	* engines/smooth/src/engine/smooth_gtk2_drawing.c:
	(do_smooth_draw_focus): Patch from Andrew Johnson that should fix the Firefox
	print dialog bug (bug 167389)

	* themes/Clearlooks/Makefile.am:
	* themes/Clearlooks/gtk-2.0/Makefile.am:
	* themes/Clearlooks/gtk-2.0/gtkrc:

	Updated clearlooks engine and added Clearlooks themes

	* themes/Industrial/gtk-2.0/gtkrc:
	* themes/LighthouseBlue/gtk-2.0/gtkrc:
	* themes/Mist/gtk-2.0/gtkrc:
	* themes/ThinIce/gtk-2.0/gtkrc:

	Work around for GNOME "Places" and "Desktop" menu bar applet item text
	colours

2005-04-11  Thomas Wood  <thos@gnome.org>

	* configure.ac: Get ready for 2.6.3 release
	* engines/industrial/src/industrial_style.c: (set_transparency),
	(scale_or_ref), (render_icon):
	* engines/industrial/src/industrial_style_versioned_code.h:

	Patch from Michele Cella <michele.cella@gmail.com> to render better
	looking insensitive icons

2005-03-17  Thomas Wood  <thos@gnome.org>

	* engines/crux/src/crux-draw.c: (draw_box), (draw_focus),
	(crux_draw_style_class_init): Fixes menuitems and focus indicators

2005-03-14  Thomas Wood  <thos@gnome.org>

	* NEWS: Corrected
	* engines/crux/src/crux-draw.c: (paint_check): fixes bug 170113

2005-03-14  Andrew Johnson <ajgenius@ajgenius.us>

	* COPYING:
	* configure.ac:
	* engines/clearlooks/AUTHORS:
	* engines/clearlooks/CREDITS:
	* engines/clearlooks/Makefile.am:
	* engines/clearlooks/src/bits.c:
	* engines/clearlooks/src/clearlooks_draw.c: 
	* engines/clearlooks/src/clearlooks_draw.h:
	* engines/clearlooks/src/clearlooks_rc_style.c:
	* engines/clearlooks/src/clearlooks_rc_style.h:
	* engines/clearlooks/src/clearlooks_style.c:
	* engines/clearlooks/src/clearlooks_style.h:
	* engines/clearlooks/src/clearlooks_theme_main.c: 
	* engines/clearlooks/src/support.c:
	* engines/clearlooks/src/support.h:

	add clearlooks engine
	
	* engines/smooth/src/interfaces/gdk2/src/gdk2_gradient_routines.c:

	check for empty width/height in gradient routine

2005-03-13  Andrew Johnson <ajgenius@ajgenius.us>

	* engines/smooth/src/interfaces/gdk2/src/gdk2_gradient_routines.c:
	(internal_create_vertical_gradient_image_buffer):
	* engines/smooth/src/utils/draw_arrows.c: (SmoothFreeArrowStyles):

	try and work around potential memcpy overlap

2005-03-11  Andrew Johnson  <ajgenius@ajgenius.us>

	* engines/crux/src/config.h.in:
		re-empty crux config template (tsk's thos)

	(merging changes from smooth cvs)
	
	* engines/smooth/src/engine/shared/gtk/smooth_gtk_rc.c:
	* engines/smooth/src/engine/shared/gtk/smooth_gtk_rc.h:
	* engines/smooth/src/engine/smooth_gtk2_engine.c:
        * engines/smooth/src/utils/draw_arrows.c:
	* engines/smooth/src/utils/draw_arrows.h:

	ensure composite arrows immediately after parse i
	(to try and prevent memleaks on arrowless apps)
	
	* engines/smooth/src/interfaces/gdk2/src/gdk2_gradient_routines.c:
	* engines/smooth/src/interfaces/gdk2/src/gdk2_gradient_routines.h:

	enabled dither pixbuf gradients by default for vertical/horizontal
	gradients and use exponential memcpy's in block sizes of 2^n to
	optimize number of steps used to draw vertical gradient lines.

2005-03-07  Thomas Wood  <thos@gnome.org>

	* NEWS:
	* configure.ac:

	Update for 2.6.2 release

2005-02-19  Andrew Johnson <ajgenius@ajgenius.us>
	* engines/smooth/src/engine/smooth_gtk2_drawing.c
	* engines/smooth/src/engine/smooth_gtk2_rc.c:
	* engines/smooth/src/engine/shared/gtk/smooth_gtk_drawing.c:
	
	Sync with with latest smooth 0.6.0 fixes, closes bugs #167389 and
	#163370

2005-02-08  Thomas Wood  <thos@gnome.org>

	* NEWS: Update for 2.6.1

2005-02-03  William Jon McCann  <mccann@jhu.edu>

	* engines/smooth/src/engine/smooth_gtk2_engine.h: 
	* engines/smooth/src/engine/smooth_gtk2_drawing.c (smooth_draw_flat_box): 
	* engines/smooth/src/engine/smooth_gtk2_engine.c (smooth_style_class_init):
	Namespace parent_class var (Fixes #166201).

2005-02-03  Kjartan Maraas  <kmaraas@gnome.org>

	* engines/smooth/src/engine/smooth_gtk2_engine.c:
	(smooth_rc_style_parse): Use g_quark_from_string() instead
	of g_quark_from_static_string() since the latter will cause
	problems when used in modules that are dynamically loaded
	and unloaded. This should solve a ton of crashes related
	to changing themes. Closes bug #165942, bug #166018,
	bug #160803, and is also related to other theme related
	crashes all the way back to 1.4.x. Theme engine authors
	should be made aware of this so we can get external theme
	engines fixed.

2005-01-29  Thomas Wood  <thos@gnome.org>

	* NEWS: Updated
	* configure.ac: Change version to 2.6.1

2005-01-28  Thomas Wood  <thos@gnome.org>

	* engines/smooth/Makefile.am: Fix bug 162131 (Enable building outside of srcdir)

2005-01-06  Thomas Wood  <thos@gnome.org>

	* engines/crux/src/crux-pixmaps.c: (load_image):
	* engines/crux/src/crux-rc-style.c: (crux_rc_style_init):
	* engines/redmond/src/redmond_gtk2_drawing.c:
	(redmond_draw_handle):

	Applied patch from bug 163099 (fixes building with C89 compilers)

2005-01-04  Andrew Johnson <ajgenius@ajgenius.us>

	* engines/smooth/src/engine/smooth_gtk2_misc.c:
	(reverse_engineer_spin_button):
	
	improve spin button up arrow offset when embedded
	
	* engines/smooth/src/interfaces/gdk2/gdk2_drawing_interface.c:
	(internal_image_buffer_new), (GDK2CanvasStore), (GDK2CanvasRender),
	(GDK2CanvasDrawLine), (GDK2CanvasDrawLines), (GDK2CanvasDrawArc),
	(GDK2CanvasFrameRectangle), (GDK2CanvasFrameChord),
	(GDK2CanvasFillRectangle), (GDK2CanvasFillChord),
	(GDKInitializeCanvas), (GDKFinalizeCanvas),
	(_DrawingInterfaceInitialize), (_DrawingInterfaceFinalize):
        * engines/smooth/src/interfaces/gdk2/gdk2_private_drawing_interface.h:

	Remove unused experimental Cairo/Xrender, Bezier, & Blur Cruft
	
        * engines/smooth/src/interfaces/gdk2/gdk2_drawing_interface.c:
        (GDK2CanvasFrameRectangle):
	* engines/smooth/src/engine/smooth_gtk2_drawing.c:
	(do_smooth_draw_focus):

	fix solid focus where thickness > 1

2004-12-21  Andrew Johnson <ajgenius@ajgenius.us>

	* configure.ac:
	fix dist/distcheck
	
2004-12-21  Andrew Johnson <ajgenius@ajgenius.us>

	* README:
	* configure.ac:
	* engines/Makefile.am:
	* themes/Makefile.am:
	
	add --disable args to configure
	version bump to 2.6.0

	* themes/ThinIce/Makefile.am:
	* themes/ThinIce/gtk-2.0/Makefile.am:
	* themes/ThinIce/gtk-2.0/gtkrc:
	add ThinIce theme

2004-12-17  Andrew Johnson <ajgenius@ajgenius.us>

	* AUTHORS:
	Point to individual engines
	
	* MAINTAINERS:
	Add initial Maintainers list
	
	* NEWS:
	Add 2.6 News
	
	* engines/industrial/src/industrial_style.c: (real_draw_box):
	Fix OptionMenu vertical line for RTL

2004-12-16  Thomas Wood  <thos@gnome.org>

	* themes/Industrial/gtk-2.0/gtkrc:
	Fixed invisible text in insensitive entry widgets

	* themes/Redmond/gtk-2.0/gtkrc:
	* themes/Redmond/gtk/gtkrc:
	Corrected background colour of insensitive entry widgets

2004-12-16  Andrew Johnson <ajgenius@ajgenius.us>

	* COPYING:
	add initial list of engine to license
	
	* engines/smooth/src/engine/smooth_gtk2_drawing.c:
	(smooth_draw_slider):
	fix scales slider

2004-12-16  Andrew Johnson <ajgenius@ajgenius.us>

	* README:
	Initial README updates for new release

2004-12-15  Thomas Wood  <thos@gnome.org>

	* configure.ac:
	* themes/LighthouseBlue/Makefile.am:
	* themes/LighthouseBlue/gtk-2.0/Makefile.am:
	* themes/LighthouseBlue/gtk-2.0/gtkrc:
	* themes/Makefile.am:
	* themes/Mist/Makefile.am:
	* themes/Mist/gtk-2.0/Makefile.am:
	* themes/Mist/gtk-2.0/gtkrc:

	Added Mist and LighthouseBlue themes (gtkrc files)

2004-12-15  Andrew Johnson <ajgenius@ajgenius.us>

	* engines/redmond/src/redmond_gtk2_drawing.c: (redmond_draw_arrow),
	(redmond_draw_box), (redmond_draw_handle):

	fix comboboxentry insensitive arrow
	fix RTL toolbar handles
	
	* engines/redmond/src/redmond_gtk2_misc.c: (is_combo_box),
	(is_in_combo_box):

	fix redmond comboboxentry check
	
	* engines/smooth/src/utils/draw_arrows.c: (SmoothDrawDirtyArrow),
	(SmoothDrawArrow):
	
	fix Etched Dirty Arrow offset
	
	* themes/Redmond/gtk-2.0/gtkrc:
	
	use white for progress bar prelight text

2004-12-15  Andrew Johnson <ajgenius@ajgenius.us>

	* engines/smooth/src/engine/shared/gtk/smooth_gtk_drawing.c:
	(smooth_draw_grip):
	* engines/smooth/src/utils/calc_colors.c:
	* engines/smooth/src/utils/calc_colors.h:
	* engines/smooth/src/utils/draw_grips.c:
	(do_smooth_draw_broken_bars), (do_smooth_draw_lines),
	(internal_smooth_draw_dot), (do_smooth_draw_dots),
	(do_smooth_draw_buds):
	* engines/smooth/src/utils/draw_grips.h:

	ensure "smooth" "namespace" on old grip functions

2004-12-15  Andrew Johnson <ajgenius@ajgenius.us>

	* engines/smooth/src/utils/draw_checkmark.c:
	(SmoothDrawMinusCheckMark):

	improve size/center logic for inconsistant 'Minus' check

2004-12-14  Andrew Johnson <ajgenius@ajgenius.us>

	* themes/Industrial/Makefile.am:
	* themes/Metal/gtk-2.0/Makefile.am:
	* themes/Redmond/gtk/Makefile.am:

	commit missing Makefile.am's

2004-12-14  Andrew Johnson <ajgenius@ajgenius.us>

	* configure.ac:
	* Makefile.am:
	* engines/Makefile.am:
	* engines/metal/AUTHORS:
	* engines/metal/Makefile.am:
	* engines/metal/src/metal_gtk2_drawing.c:
	* engines/metal/src/metal_gtk2_drawing.h:
	* engines/metal/src/metal_gtk2_engine.c:
	* engines/metal/src/metal_gtk2_engine.h:
	* engines/metal/src/metal_gtk2_misc.c:
	* engines/metal/src/metal_gtk2_misc.h:

	add new metal engine

	* engines/smooth/src/engine/smooth_gtk2_drawing.c:

	fix embed combo button redraw

	* metal/.cvsignore:
	* metal/ChangeLog:
	* metal/Makefile.am:
	* metal/Theme/.cvsignore:
	* metal/Theme/Makefile.am:
	* metal/Theme/README.html:
	* metal/Theme/gtk-2.0/.cvsignore:
	* metal/Theme/gtk-2.0/Makefile.am:
	* metal/Theme/gtk-2.0/gtkrc:
	* metal/metal_rc_style.c:
	* metal/metal_rc_style.h:
	* metal/metal_style.c:
	* metal/metal_style.h:
	* metal/metal_theme_main.c:
	
	remove old metal
	
	* themes/Makefile.am:
	* themes/Industrial/Makefile.am:
	* themes/Industrial/gtk-2.0/Makefile.am:
	* themes/Industrial/gtk-2.0/gtkrc:
	* themes/Metal/Makefile.am:
	* themes/Metal/gtk-2.0/Makefile.am:
	* themes/Metal/gtk-2.0/gtkrc:
	* themes/Redmond/Makefile.am:
	* themes/Redmond/gtk/Makefile.am:
	* themes/Redmond/gtk/gtkrc:
	
	Add Industrial theme
	Add Metal theme
	Add Redmond GTK 1 gtkrc

2004-12-13  Thomas Wood  <thos@gnome.org>

	* configure.ac:
	* engines/Makefile.am:
	* engines/smooth/*:

	Added Smooth engine from Andrew Johnson <ajgenius@ajgenius.us>


2004-12-08  Andrew Johnson <ajgenius@ajgenius.us>

	* engines/redmond/Makefile.am: Fix Makefile.am libs

	* engines/redmond/src/redmond_gtk2_drawing.c: (redmond_draw_arrow),
	(redmond_draw_shadow), (redmond_draw_combobox_button),
	(redmond_draw_spinbutton_stepper), (redmond_draw_box),
	(redmond_draw_handle):

	Ensure widget isn't null when testing RTL/LTR
	Ensure valid style is used for combo widget

2004-12-06  Thomas Wood  <thos@gnome.org>

	* configure.ac:
	* themes/Crux/Makefile.am:
	* themes/Crux/gtk-2.0/Makefile.am:
	* themes/Crux/gtk-2.0/gtkrc:
	* themes/Makefile.am:

	Added Crux gtkrc

2004-12-05  Thomas Wood <thos@gnome.org>, Andrew Johnson <ajgenius@ajgenius.us>

	* engines/redmond/src/redmond_gtk2_drawing.c:
	* engines/redmond/src/redmond_gtk2_misc.c:

	- Menu prelight fix (open menu check)
	- Fixed insensitive arrows
	- Use stippled background for toggle buttons in "on" state
	- Fixed Firefox toolbar

2004-12-03  Thomas Wood <thos@gnome.org>, Andrew Johnson <ajgenius@ajgenius.us>

	* Makefile.am:
	* configure.ac:
	* engines/Makefile.am:
	* engines/redmond/*:

	New redmond engine added

	* redmond95/Theme/.cvsignore:
	* redmond95/Theme/Makefile.am:
	* redmond95/Theme/README.html:
	* redmond95/Theme/gtk-2.0/.cvsignore:
	* redmond95/Theme/gtk-2.0/Makefile.am:
	* redmond95/Theme/gtk-2.0/gtkrc:
	
	Old redmond engine removed

	* themes/Makefile.am:
	* themes/Redmond/Makefile.am:
	* themes/Redmond/gtk-2.0/Makefile.am:
	* themes/Redmond/gtk-2.0/gtkrc:

	Theme files for new redmond engine

2004-12-01  Thomas Wood <thos@gnome.org>, Andrew Johnson <ajgenius@ajgenius.us>

	* Update version to 2.5
	* Remove pixbuf and notif engines, and misc other files
	* Move crux, hc, industrial, mist, thinice engines over from 
	  gnome-themes and gnome-themes-extras
	* Replace configure.in with configure.ac

2004-11-02  James Henstridge  <james@jamesh.id.au>

	From bug #156666:

	* configure.in: modernise the configure script a bit.

	* autogen.sh: use automake 1.9, 1.8 or 1.7 instead of 1.4.

Wed May 28 10:26:48 2003  Owen Taylor  <otaylor@redhat.com>

	* README: Fix typo of ~/.theme for ~/.themes

Tue Apr 22 12:14:16 2003  Owen Taylor  <otaylor@redhat.com>

	* README: Fix 'copy copy' typo.

2003-03-02  Tor Lillqvist  <tml@iki.fi>

	* configure.in: Call AC_LIBTOOL_WIN32_DLL. Set OS_WIN32
	conditional on Windows.

	* makefile.cygwin: Remove, unmaintained and obsolete.

	* Makefile.am (EXTRA_DIST): Remove here, too.

	* README.win32: Update.

Fri Jan 17 19:02:02 2003  Owen Taylor  <otaylor@redhat.com>

	* === Released 2.2.0 ===

	* Makefile.am: Make dist fixes.

	* gtk-engines.spec: Some updates to bring into a
	resemblence of workingness.

	* NEWS: Updated.

Fri Jan 17 18:32:34 2003  Owen Taylor  <otaylor@redhat.com>

	* configure.in Makefile.am gtk-engines-2.pc.in: Patch
	from Seth Nickell to add a .pc file so that things use
	one of the gtk-engines engines can check for it's
	presence.

Thu Oct 31 18:56:56 2002  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Remove some useless checks.
	(Red Hat bugzilla, #64061)

2002-09-12  Havoc Pennington  <hp@redhat.com>

	* notif/Theme/ICON.png, metal/Theme/ICON.png,
	redmond95/Theme/ICON.png: remove apparently pointless old icon
	files

Fri Sep  6 16:40:42 2002  Owen Taylor  <otaylor@redhat.com>

	* README: Added some text describing how to install
	gtk-engines into a different prefix than GTK+.
	(#84727, Piotr Sawuk)

2002-08-18  Havoc Pennington  <hp@pobox.com>

	* autogen.sh: hardcode aclocal-1.4/automake-1.4 so that users with
	both automake 1.6 and 1.4 installed get the right automake. Means
	compilation from CVS will now require the latest automake 1.4
	release, or manually creating symlinks called "automake-1.4" and
	"aclocal-1.4"

Sun Apr 21 09:52:54 2002  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Version 1.9.0

Sat Jan 19 20:42:11 2002  Owen Taylor  <otaylor@redhat.com>

	* raleigh/**: Remove engine, it's now the GTK+ default.

	* pixmap/**: Remove engine, replaced by pixbuf

	* pixbuf/**: Replacement for pixmap-engine, compatible
	RC file format, sane code.

	* metal,notif,redmond95/Theme/gtk{-2.0}: Rename theme
	directories to gtk-2.0.

	* Makefile.am (SUBDIRS): Remove pixmap and raleigh,
	temporarily remove

	* ltmain.sh ltconfig acinclude.m4: Remove from CVS

	* configure.in: Update for GTK+-2.0 and pkg-config.

Thu Mar 15 02:07:25 2001  Owen Taylor  <otaylor@redhat.com>

	* configure.in (cflags_set): Release 0.12

	* configure.in: Suppress the default action when
	checking for gtk_style_set_prop_experimental
	to avoid messing up $LIBS. (#51989)

	* configure.in: Add -Wall for GCC.

	* raleigh/raleigh_theme_{draw,main}.c: Couple of 
	trivial warning cleanups.

Thu Feb 15 23:32:27 2001  Owen Taylor  <otaylor@redhat.com>

	* configure.in (cflags_set): Release 0.11.

Mon Feb 12 17:43:57 2001  Owen Taylor  <otaylor@redhat.com>

	* Makefile.am raleigh/*: Import of new theme that using GTK+-1.2.9
	features to look better.

Wed Jan 17 13:40:08 2001  Owen Taylor  <otaylor@redhat.com>

	* {notif,redmond95}/Theme/gtk/gtkrc: Remove references to
	/home/raster. (RH bugzilla #20444)

2000-02-13  Tor Lillqvist  <tml@iki.fi>

	* makefile.cygwin: New file, for building with gcc on Windows
	without auto* and libtool.
	* makefile.msc: New file, for building with MSVC.

	* README.win32: New file.

	* Makefile.am (EXTRA_DIST): Distribute the new files.

Thu Feb  3 15:05:57 PST 2000 Manish Singh <yosh@gimp.org>

	* acinclude.m4
	* config.guess
	* config.sub
	* ltconfig
	* ltmain.sh: upgrade to libtool 1.3.4 (bugfix only release)

Tue Jan 25 10:58:11 2000  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Up version, make a 0.10 release including
	workaround hack for pixmap eventbox backgrounds.

1999-05-30  James Henstridge  <james@daa.com.au>

	* configure.in, */Makefile.am: make the theme engines link against
	gtk.

Sat May  1 12:11:33 PDT 1999 Manish Singh <yosh@gimp.org>

	* acinclude.m4
	* config.guess
	* config.sub
	* ltconfig
	* ltmain.sh: libtool 1.3

Mon Mar 29 21:13:13 PST 1999 Manish Singh <yosh@gimp.org>

	* acinclude.m4
	* config.guess
	* config.sub
	* ltconfig
	* ltmain.sh: libtool 1.2f

Fri Feb 26 20:38:53 1999  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Up version number to 0.5

Thu Feb 11 23:09:55 1999  Owen Taylor  <otaylor@redhat.com>

	* configure.in (cflags_set): Up version number to 0.4.

	* **/Makefile.am: Removed all references to
	 makemakefile.sh

Tue Feb  2 05:16:12 PST 1999 Manish Singh <yosh@gimp.org>

	* acinclude.m4
	* config.guess
	* config.sub
	* ltconfig
	* ltmain.sh: use CVS libtool 1.2e. Tell me what breaks.

	* pixmap/Makefile.am
	* metal/Makefile.am
	* notif/Makefile.am
	* redmond95/Makefile.am: use -module and -avoid-version flags

	* configure.in: minor clean ups

Wed Jan 27 21:14:54 PST 1999 Manish Singh <yosh@gimp.org>

	* acinclude.m4: new file, to go with libtool

	* ltmain.sh
	* ltconfig: better file magic regexp for Linux libs

Mon Jan 18 14:08:14 1999  Owen Taylor  <otaylor@redhat.com>

	* README:  Wrote one
	* AUTHORS: Added Randy Gordon

	* gtk-engines.spec: Up version number

Mon Jan 18 13:46:41 1999  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Up version for an 0.2 release.

Mon Jan 18 11:25:25 1999  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Remove -lgdk, -lgtk, and -lglib from GDK_IMLIB_LIBS.

	* redmond95/Makefile.am notif/Makefile.am metal/Makefile.am
	  pixmap/Makefile.am: Don't link to GTK_LIBS, since we 
	  want to use the main programs copy of GTK+.

	* */*_theme_main.c: Add a gtk_module_check_init() function to
	  check if we are compatible with the version of GTK+ of the
	  main executable. Removed some debugging printf's.
	
Wed Jan 13 16:30:45 PST 1999 Manish Singh <yosh@gimp.org>

	* ltconfig
	* ltmain.sh: House! Techno! Libtool! (do the 1.2d dance baby)

Sun Jan  3 14:13:28 PST 1999 Manish Singh <yosh@gimp.org>

	* configure.in: don't try to build static libs by default, it
	doesn't make much sense

	* redmond95/Makefile.am
	* notif/Makefile.am
	* metal/Makefile.am: don't link to $GDK_IMLIB_LIBS

Wed Dec 16 12:52:55 EST 1998 The Rasterman <raster@redhat.com>
	* removed win95 and Motif themes - replace with Notif and Redmond95 
	  - otherwise the same.

1998-11-07  Raja R Harinath  <harinath@cs.umn.edu>

	* configure.in: Unify all subdir `configure.in's here.

Mon Oct 19 12:11:28 1998  Owen Taylor  <otaylor@redhat.com>

	* Add in ltconfig and ltmain.sh with correct shldeps
	patches.

1998-10-17    <jrb@aware-of-vacuity.labs.redhat.com>

	* (theme)/configure.in: changed AC_INIT field.

Sat Oct 17 00:35:10 1998  Owen Taylor  <otaylor@redhat.com>

	* */*.[ch]: Removed unused code for handling
	RC data, made functions	static to reduce damage from g_module's
	RTLD_GLOBAL. Removed theme_set_background functions
	which were just cut 'n paste code from GTK+.

	* */*.h: Removed unused, obsolete header files.
	
Tue Sep  1 00:12:12 CDT 1998  Frank Belew <frb@umr.edu>

	* Makefile.am: added support for new imlib.m4
	* configure.in: added support for new imlib.m4

Fri Aug 21 19:08:25 1998  Owen Taylor  <otaylor@redhat.com>

	* Makefile.am: Added support for metal theme. 
	  Install/distribute gtkrc's for each theme.

Thu Aug 20 18:25:07 EDT 1998 The Rasterman <raster@redhat.com>
	
	* added metal theme, fixed pixmap theme now to use pixmap path -
	  and removed lots of annoying print's, added gtkr's for each
	  theme data.. now all your rc needs to do is include these rc's.

Mon Aug 17 20:32:53 1998  Owen Taylor  <otaylor@redhat.com>

	* Makefile.am, pixmap/Makefile.am: Switch back to using automake,
	  fix things up to make dist properly.

	* pixmap_theme.h: Rationalized.
	* win95_theme.h motif_theme.h: Removed

	* Started ChangeLog.

Thu Jul 30 14:51:34 EDT 1998 The Rasterman <raster@redhat.com>
	
	* Moved all the themes to install cleanly the engine *.so's in
	  $(exec_prefix)/lib/gtk/themes/engines/ .
	  All the data for themes is now installed in 
	  $(exec_prefix)/share/gtk/themes/theme_name/
	  All things build using GNU configure and autoconf and libtool now.
	  I have created a win95, motif and pixmap theme setup - i have to
	  work on the motif and win95 ones - pixmap theme also need work - 
	  it partially parses a gtkrc for itself. This is goign to be a good
	  sample base to work from if you wish to write your own theme engines.
			  

Thu Jul 30 19:10:42 EDT 1998 The Rasterman <raster@redhat.com>

	* Fixed the win95/motif drawing functions to NOT clobber the original
	  GTK bg pixmap style stuff.... :)
			  
